from fastapi import APIRouter

from src.api.v1.auth import router as auth_router
from src.api.v1.tasks import router as tasks_router
from src.api.v1.users import router as users_router
from src.core.settings import settings

router = APIRouter(prefix=settings.api.v1.prefix)

router.include_router(router=auth_router)
router.include_router(router=users_router)
router.include_router(router=tasks_router)
